# textdomain

(PHP 4, PHP 5, PHP 7)

textdomain — Sets the default domain

### Description

textdomain ( string `$text_domain` = `NULL` ) : string

This function sets the domain to search within when calls are made to gettext(), usually the named after an application.

### Parameters

`text_domain`

  The new message domain, or `NULL` to get the current setting without changing it

### Return Values

If successful, this function returns the current message domain, after possibly changing it.